Subject: RE: [mobile-ip] Draft Agenda for MIP WG @ IETF54

From: [email-masked]
Date: Wed, 19 Jun 2002 11:13:02 -0500

Hi Masataka,

IETF Working group meetings are NOT the place for making
presentations. WG meetings are focused on discussing issues
pertinent to the ongoing work and also other relevant topics
that are within the scope of the charter. However with respect
to the *relevant topics*, there needs to be a considerable
amount of interest shown by the WG members in order to have
an agenda item for discussion. We normally view the discussions
on the mailing list to determine the level of interest in a
topic.

The Smooth handoff work is obviously a work item in the Mobile
IP WG and we currently have two WG I-Ds dealing with MIPv4 and
MIPv6. Your draft does not propose any enhancements to Mobile IP
itself in order to enable smooth HO. The solution you describe
does not make use of MIP to enhance the performance of HOs. I
agree that the solution is quite valid for the WLAN environment
but fail to understand what the MIP WG would have to do with it.

Hence, I do not see any need for using up WG time at IETF54 to
present this solution.

Of course if there is WG interest in the approach proposed by
you and issues relevant to this WG, we can always add it to the
agenda. If we see more discussion in terms of impacts/changes
required to MIP on the MN or FA/AR or HA, with the availability
of dual WLAN interfaces, that would be a more relevant topic for
discussion.

-Basavaraj

> Dear Chairs;
> 
> > Following is the draft agenda for the Mobile IP WG meeting at
> > IETF54. The MIP WG meeting is currently scheduled for Monday, July
> > 15th from 1930-2200.
> 
> I'd like to be assigned a slot (10 minuites, hopefully) for
> presentation on the attached draft:
> 
>              Smooth Handover over IEEE 802.11 Wireless LAN
> 
> It basically states a well know fact for PHS industry that completely
> smooth handover is possible almost purely by end systems without
> introducing inteligent intermediate entities in the network.
> 
> I'm still revising the draft that the first section will be editted
> a lot reflecting the recent exchanges of deployment information.
> I will also add explanations on how time requiredd for frequency
> scanning of IEEE 802.11 can be minimized.
> 
> > Agenda bashing					5 min
> > 
> > WG Document update				10 min
> > 
> > Mobile IP v6					60 min
> > draft-ietf-mobileip-ipv6-18.txt			Jari Arkko
> > 
> > Fast handoff in v6				20 min 
> > draft-ietf-mobileip-fast-mipv6-05.txt		Rajeev Koodli
> > 
> > VPN traversal requirements			5 min 
> > draft-ietf-mobileip-vpn-problem-statement-00.txt Phil Roberts
> > 
> > Limited Private Address Support			10 Mins
> > draft-chakrabarti-mobileip-privaddr-00.txt	Gabriel Montenegro
> > 
> > Mobile IPv4 Regional Registration		5 Mins
> > draft-ietf-mobileip-reg-tunnel-06.txt		Phil Roberts
> > 
> > LMM Requirements				5 min 
> > draft-ietf-mobileip-lmm-requirements-01.txt	Carl Williams
> > 
> > -Chairs
> > 
> > 
> 
> ---
> 
> 
> 
> 
> 
> INTERNET DRAFT                                                
>    M. Ohta
> draft-ohta-smooth-handover-wlan-00.txt     Tokyo Institute of 
> Technology
>                                                               
>  June 2002
> 
>              Smooth Handover over IEEE 802.11 Wireless LAN
>

---

From: Masataka Ohta <[email-masked]>
Date: Thu, 20 Jun 2002 09:03:33 +0859 ()

Basavaraj;

> on the mailing list to determine the level of interest in a

Your misunderstanding is that "discussion" includes to recognize
some existing topics irrlevant.

> I

Even if my draft were valid on WLAN environment only, it follows
the current work iten of:

	- Documenting any requirements specific to cellular/wireless networks.

that there is no requirement of smooth handover by the network.

Moreover, you obvviously ignoreing my draft stating:

: 4. Applications of the Technique
: 
:    The technique described in sections 2 and 3 was deployed in recent
:    PHS (personal handy phone, 32Kbps mobile telephone system available
:    in Japan and other countries) service, only after which, PHS can
:    support stable and smooth handover.
: 
:    In general, the technique requires two sets of transceivers, which
:    increases the cost of terminals, which is welcome to wireless LAN
:    chip vendors, it also reduce the cost of network by eliminating
:    intelligent intermediate entities for half-hearted smooth mobility.
: 
:    Note that a CDMA based wireless transceiver can simultaneously use
:    two access points with different code without additional RF modules.

that the solution is proven to valid for the PHS environment and is
more easily depolyable for CDMA environment.

> but fail to understand what the MIP WG would have to do with it.

Stop attempting to work on smooth handover in any environment.

> of dual WLAN interfaces, that would be a more relevant topic for

Another relevant protocol topic is in the security section:

: 5. Security Considerations
: 
:    To prevent anonymous and/or unpaid access to the Internet, access
:    points of MIS have packet-wise cryptographical authentication
:    mechanism to disallow unauthorized access to the Internet.
: 
:    To prevent subscribers share a single subscriber ID with single
:    payment, the mechanism disallows multiple terminals with a single
:    subscriber ID simultaneously use access points.
: 
:    As a side effect, the mechanism, basically, disallows a terminal
:    simultaneously use multiple access points.
: 
:    However, to allow for the smooth handover, a terminal is allowed to
:    simultaneously use access points with overlapping service area.

						Masataka Ohta

---

From: "T.J. Kniveton" <[email-masked]>
Date: Thu, 20 Jun 2002 10:06:29 -0700

What about the same subscriber ID on the same access point? What if I am
sitting with 10 of my friends and we all decide to use my subscriber ID?
Will that work?

---

From: Masataka Ohta <[email-masked]>
Date: Fri, 21 Jun 2002 17:01:39 +0859 ()

T.J. Kniveton;

> sitting with 10 of my friends and we all decide to use my subscriber ID?

On our access points, it's configurable.

As I asked our operation staff, they say they are fobidding it.

However, for a mobile operator, there is no point to forbid co-moving
hosts access the Internet with just a single account. As the hosts
must have unique home addresses, we can charge for home agent service.

If we forbid or charge a lot, it will promote NAT. Or, it is also
possible that a mobile host acts as a FA to other co-moving hosts,
if a user runs his own HA.

						Masataka Ohta